%define base_name	adodb
%define name		php-%{base_name}
%define	maj_ver		4
%define	min_ver		64
%define version		%{maj_ver}.%{min_ver}
%define	src_ver		%{maj_ver}%{min_ver}
%define release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	Active Data Objects Data Base (ADOdb)
License:	BSD
URL:		http://adodb.sourceforge.net/
Group:		Development/Other
Source0:	http://prdownloads.sourceforge.net/adodb/%{base_name}%{src_ver}.tar.bz2
BuildArch:	noarch
Obsoletes:	ADOdb
Obsoletes:	%{base_name}
Provides:	ADOdb
Provides:	%{base_name}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PHP is a wonderful language for building dynamic web pages.
Unfortunately, PHP's database access functions are not
standardised. Every database extension uses a different and
incompatibile API. This creates a need for a database class
library to hide the differences between the different databases
(encapsulate the differences) so we can easily switch databases. 

%prep
%setup -q -n adodb

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

find . -name CVS -o -name .cvs\* -o -name .#\* | xargs rm -rf

# fix encoding
for file in `find . -type f`; do
    perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;' $file
done

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/icons
install -d %{buildroot}%{_datadir}/%{name}
cp -aRf * %{buildroot}%{_datadir}/%{name}

install -m644 cute_icons_for_site/* %{buildroot}/var/www/icons/

# cleanup
rm -rf %{buildroot}%{_datadir}/adodb/cute_icons_for_site
rm -rf %{buildroot}%{_datadir}/adodb/docs
rm -f %{buildroot}%{_datadir}/*.zip
rm -f %{buildroot}%{_datadir}/*.txt

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt docs/*
%{_datadir}/%{name}
/var/www/icons/*

%changelog
* Tue Jul 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.64-2mdk 
- used %%mkrel

* Wed Jun 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.64-1mdk 
- new version
- introduce epoch
- rpmbuildupate aware
- renamed to %{name}
- install in %{_datadir}/%{name}
- don't skip rpm automatic dependencies computing
- use perl instead of dos2unix to fix encodings

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 4.54-1mdk
- rename the package (ADOdb/adodb)
- new url
- move to %{_datadir}/adodb
- fix file permissions and anti ^M's

* Thu Nov 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.54-1mdk
- 4.54
- use rpm magic to speed up the build

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.22-1mdk
- 4.22

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.00-2mdk
- fix deps

* Tue Oct 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.00-1mdk
- 4.00

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.72-1mdk
- 3.72

* Wed Aug 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.70-1mdk
- 3.70
- misc spec file fixes

* Thu Jun 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.60-1mdk
- 3.60

* Fri May 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.50-1mdk
- 3.50
- install missing stuff
- misc spec file fixes

* Thu Apr 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.40-1mdk
- 3.40

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.30-1mdk
- 3.30

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.20-1mdk
- 3.20

* Tue Jan 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.10-1mdk
- 3.10

* Thu Jan 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.00-1mdk
- new version
- ship the "cute icons" in place :)

* Mon Dec 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.90-1mdk
- new version

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.43-1mdk
- new version

* Mon Sep  9 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.40-1mdk
- new version

* Wed Aug 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.31-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.30-1mdk
- new version

* Mon Jul 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.21-1mdk
- new version

* Wed Jul 10 2002  Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.20-1mdk
- new version

* Thu Jun 13 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.12-1mdk
- 2.12

* Sun Jun  9 2002 <oden.eriksson@kvikkjokk.net> 2.11-1mdk
- new version

* Sun Jun  2 2002 <oden.eriksson@kvikkjokk.net> 2.00-1mdk
- initial cooker contrib
